OTPme - Feature #59

Feature # 45 (In Bearbeitung): add backend encryption for all sensitive data

Add header to encrypted attributes
19 October 2015 20:28 - The 2nd

Status: In Bearbeitung Start date: 19 October 2015
Priority: Normal Due date:

Assignee: The 2nd % Done: 80%

Category: Estimated time: 0:00 hour
Target version: OTPme 0.3

Description

To be able to change encryption types in the future we should add some header with the used encryption type/mode to each
encrypted value.

History

#1 - 19 November 2015 22:58 - The 2nd
- % Done changed from 0 to 80

e Encryption method now adds a simple "header" to each encrypted field (e.g. SECRET="AES_CFB{63353236396562336562363438326332}")
¢ Decryption method uses this header to choose the right decryption type

#2 - 07 August 2018 14:07 - The 2nd

- Status changed from Neu to In Bearbeitung

09 May 2025 1/1



http://www.tcpdf.org

